# Set-RASNotificationResource.md

## NAME

Set-RASNotificationResource

## SYNOPSIS

Update resource notification.

## SYNTAX

\*\*Set-RASNotificationResource \[[Id](#id-string)] *(uint)* \[[AllServers](#allservers-string) *(bool)*] \[-[Direction](#Direction) {RisesAbove | LowersBelow}] \[[Enabled](#enabled-string) *(bool)*] \[[EnableGracePeriod](#enablegraceperiod-string) *(bool)*] \[[EnableInterval](#enableinterval-string) *(bool)*] \[[ExecuteScript](#executescript-string) *(bool)*] \[[GracePeriod](#graceperiod-string) *(uint)*] \[[Interval](#interval-string) *(uint)*] \[-[Recipients](#Recipients) *(string\[])*] \[[ScriptId](#scriptid-string) *(uint)*] \[-[ScriptObject](#ScriptObject) *(*[*NotificationScript*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)*)*] \[[SendEmail](#sendemail-string) *(bool)*] \[-[TargetIds](#TargetIds) *(List\`1)*] \[-[TargetType](#TargetType) {AllServers | RDSHostPools | RDSHGroups | VDIHostPools | VDIPools | AVDHostPools | RemotePCs | SecureGateways | Gateways | Brokers | PublishingAgents | EnrollmentServers | ForceAllAgents}] \[[Threshold](#threshold-string) *(uint)*] \[[WaitUntilRecovered](#waituntilrecovered-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASNotificationResource \[-[InputObject](#inputobject)] *(*[*NotificationResource*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationresource.md)*)* \[[AllServers](#allservers-string) *(bool)*] \[-[Direction](#Direction) {RisesAbove | LowersBelow}] \[[Enabled](#enabled-string) *(bool)*] \[[EnableGracePeriod](#enablegraceperiod-string) *(bool)*] \[[EnableInterval](#enableinterval-string) *(bool)*] \[[ExecuteScript](#executescript-string) *(bool)*] \[[GracePeriod](#graceperiod-string) *(uint)*] \[[Interval](#interval-string) *(uint)*] \[-[Recipients](#Recipients) *(string\[])*] \[[ScriptId](#scriptid-string) *(uint)*] \[-[ScriptObject](#ScriptObject) *(*[*NotificationScript*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)*)*] \[[SendEmail](#sendemail-string) *(bool)*] \[-[TargetIds](#TargetIds) *(List\`1)*] \[-[TargetType](#TargetType) {AllServers | RDSHostPools | RDSHGroups | VDIHostPools | VDIPools | AVDHostPools | RemotePCs | SecureGateways | Gateways | Brokers | PublishingAgents | EnrollmentServers | ForceAllAgents}] \[[Threshold](#threshold-string) *(uint)*] \[[WaitUntilRecovered](#waituntilrecovered-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Updates the selected resource notification with new settings.

## PARAMETERS

## Threshold (uint)

Tolerance value which triggers notification.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Direction

([ThresholdDirection](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/thresholddirection.md)) Threshold direction.

Possible values: RisesAbove, LowersBelow

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([NotificationResource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationresource.md)) InputObject from pipeline or by parameter.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Id (uint)

Notification ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable/Disable notification.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GracePeriod (uint)

Notification grace period (minutes).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableGracePeriod (bool)

Enable/Disable grace period.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Recipients (string\[])

Notification recipients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SendEmail (bool)

Enable/Disable email notification.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ScriptId (uint)

Use script of given ID.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ScriptObject

([NotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)) Script object.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ExecuteScript (bool)

Enable/Disable notification scripts.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Interval (uint)

Notification interval (minutes).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableInterval (bool)

Enable/Disable notification intervals.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## WaitUntilRecovered (bool)

Wait until recovered.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllServers (bool)

All servers in site.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetType ([TargetType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/targettype.md))

Target type.

Possible values: AllServers, RDSHostPools, RDSHGroups, VDIHostPools, VDIPools, AVDHostPools, RemotePCs, SecureGateways, Gateways, Brokers, PublishingAgents, EnrollmentServers, ForceAllAgents

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetIds (List\`1)

Target IDs.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[NotificationResource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationresource.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASNotificationResource -Id 1 -Type CPUEvent -Threshold 50 -Direction RisesAbove -Enabled

Changes resource notification of Id 1 to be a CPU notification with a raises above 50% rule.

## RELATED LINKS

* [New-RASNotificationResource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasnotificationresource.md)
* [Remove-RASNotificationResource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasnotificationresource.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasnotificationresource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
